Regions

Regions act as sub-groups within your group.

A region could be "Germany North" for example, to where you want to assign all your Locations in that area of Germany.

Regions are useful for assigning Users to access a group of multiple Locations. Typically managers with the responsibility for a range of properties in an area.

Locations can be added and deleted from a Region. As soon as a Location is added to a Region, Users with access to that Region instantly have access to the new Location.

To add a User to a Region, see Users

Regions can contain Locations from multiple Countries.

Return all Regions

GET https://{environment}.faundit.com/api/v2/regions

Return all available Regions within your group.

[
    {
        "ID": 2,
        "name": "DK east",
        "reference": "Region 1",
        "createdAt": "2024-01-25 10:01:35.635",
        "updatedAt": null
    },
    {
        "ID": 3,
        "name": "DK west",
        "reference": "Region 2",
        "createdAt": "2024-01-25 10:01:45.119",
        "updatedAt": null
    },
    {
        "ID": 4,
        "name": "DK north",
        "reference": "Region 3",
        "createdAt": "2024-02-06 15:45:01.552",
        "updatedAt": null
    }
]

Return a Region

GET https://{environment}.faundit.com/api/v2/regions/:regionID

Return a specific Region available within your group.

Path Parameters

Name
Type
Description

regionID*

number

Region unique identifier.

Example: 2

Create a Region

POST https://{environment}.faundit.com/api/v2/regions

Create a new Region for your group.

Request Body

Name
Type
Description

name*

string

Name to assign to the new Region.

reference

string

A reference to the Region. Example: "Region 1"

Update a Region

PUT https://{environment}.faundit.com/api/v2/regions/:regionID

This endpoint allows you to update the name of a Region.

Query Parameters

Name
Type
Description

regionID*

number

Region unique identifier.

Example: 2

Request Body

Name
Type
Description

name

string

New name for an existing Region.

reference

string

A reference to the Region. Example: "Region 1"

Delete a Region

DELETE https://{environment}.faundit.com/api/v2/regions/:regionID

This endpoint allows you to permanently delete a specific Region from your account.

This action cannot be done if there are Users attached to the Region. First, remove all Users from the Region.

Query Parameters

Name
Type
Description

regionID*

number

Region unique identifier.

Example: 2

Return Location(s) assigned to Region

GET https://{environment}.faundit.com/api/v2/regions/:regionID/locations

This endpoint retrieves a list of Locations associated with a particular Region within your account.

Path Parameters

Name
Type
Description

regionID*

number

Region unique identifier.

Example: 2

Assign Location(s) to Region

POST https://{environment}.faundit.com/api/v2/regions/:regionID/locations

This endpoint allows you to assign one or more Locations to a specified existing Region within your account.

This is useful for granting Users responsible for specific Regions access to the relevant Locations they need to manage.

Path Parameters

Name
Type
Description

regionID*

number

Region unique identifier.

Example: 2

Request Body

Name
Type
Description

locationIDs*

array of strings

The IDs of the Locations that will be added to the Region.

Remove Location(s) from Region

DELETE https://{environment}.faundit.com/api/v2/regions/:regionID/locations

This endpoint allows you to remove one or more Locations from a specific Region within your account. It won't delete the Location itself.

This is useful for adjusting user access control and ensuring Users only have access to the relevant Locations they manage.

Path Parameters

Name
Type
Description

regionID*

number

Region unique identifier.

Example: 2

Request Body

Name
Type
Description

locationIDs*

array of strings

The IDs of the Locations that will be removed from the Region.

Last updated